--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: update_with_params
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Runs set with the passed hash and runs save_changes (which runs any callback methods).
full_name: Sequel::Model#update
is_singleton: false
name: update
params: (hash)
visibility: public
